﻿/* Generated with Author-it 5.0.12.670  11/13/2008 6:20:32 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2008, ","Parallels, Inc. ","All rights reserved ","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epl_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This guide provides information and instructions on migrating from earlier product versions to Parallels® Pro Control Panel 10.3.4 for Linux®. For simplicity, Parallels Pro Control Panel for Linux is referred to as &quot;Parallels Pro Control Panel&quot; throughout the document.","Note: The migration is platform-independent. Irrespective of the current operating platform of your Parallels Pro Control Panel server, you can migrate from version 4.0.3 or later to the following supported platforms&#0151;FC 6 (Fedora&#8482; Core 6), FC 4, CentOS 4.4 (Community Enterprise Operating System 4.4), and RHEL 4 (Red Hat® Enterprise Linux ES Release 4).","About This Guide","7047.htm");
Page[4]=new Array("Migration is a two-step process that requires you to:","Export data from your Parallels Pro Control Panel server","The process of exporting data typically ranges from a few minutes to a few hours, depending on the number of sites hosted on the server. During this time, sites hosted on Parallels Pro Control Panel are inaccessible.","Import data onto a server running Parallels Pro Control Panel ","The following table lists the terminology differences between the earlier versions of Parallels Pro Control Panel and the latest version. The document uses the terminology used in the latest version of Parallels Pro Control Panel.","Earlier versions","Latest Version","Appliance Administrator","Server Administrator","Backup/Restore","Export/Import","About the Migration","7048.htm");
Page[5]=new Array("Before you migrate, you must install Parallels Pro Control Panel on the server to which you want to migrate data. For information on installation requirements and instructions, refer to the document Parallels Pro Control Panel for Linux Installation Guide available at the Parallels Pro for Linux Documentation page (http://www.parallels.com/en/pro/docs).","System Requirements","7049.htm");
Page[6]=new Array("The following section provides instructions on migrating to the latest version of Parallels Pro Control Panel. Before you migrate, review the system requirements.","To migrate to the latest version of Parallels Pro Control Panel:","Log in to the Server Administrator control panel on the Parallels Pro Control Panel server from which you want to migrate data.","Export data from the server:","In the shortcuts section of the Home page, click Export/Import (Tools section).","Perform a Complete backup. For instructions on backing up data, refer to the Server Administrator Online Help (Book: Exporting and Importing Data) available at the Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs).","Log in to the Server Administrator control panel on the Parallels Pro Control Panel server.","Import the data to the server to which you want to migrate.","In the shortcuts section of the Home page, click Export/Import (Tools section).","Click Import. For instructions on importing data, refer to the Server Administrator Online Help (Book: Importing Archived Data).","Migrating to the Latest Version of Parallels Pro Control Panel","7050.htm");
Page[7]=new Array("To perform the exporting and importing of individual sites with DNS zones efficiently, DNS has a distributed architecture composed of many hierarchical DNS name servers. Each DNS name server is responsible for both name-to-IP-address translations (called forward lookups) and IP-address-to name translations (called reverse lookups). Each DNS name server manages the lookups for domain name spaces. In DNS, these domain name spaces are referred to as zones.","The term zone is used to denote information, such as host records, about a domain. To import Web sites with DNS zones, the domain name and IP address must be registered with at least two DNS name servers: a master DNS server and a slave DNS server (or backup name server). You can use the Parallels Pro Control Panel server or any external server as a master server or slave server.","Using this feature you can now:","Import Web sites from one Parallels Pro Control Panel server to another Parallels Pro Control Panel server having the same name servers","Import Web sites from one Parallels Pro Control Panel server to another Parallels Pro Control Panel server having different name servers","Exporting/Importing Individual Sites with DNS Zones","7051.htm");
Page[8]=new Array("The following sections provide information on the types of zones that have be exported, and the steps involved in importing the zones from one Parallels Pro Control Panel server to another Parallels Pro Control Panel server, when the name servers are the same for both the servers.","For instructions on adding local name server, external name servers and importing Web sites, refer to the Server Administrator online Help.","Exported site's zone is of type 'Master':","To import the site's zone with the same master/slave servers:","Add the local name server, which is the master server of the exported site to the new Parallels Pro Control Panel server.","Add the external name server/local name server, which is the slave server of the exported site to the new Parallels Pro Control Panel server.","Start the Import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the hostname of old Parallels Pro Control Panel server or the local name server.","The slave server is the external name server or the local name server.","For the configuration of imported site's zone:","The master server is the hostname of new Parallels Pro Control Panel server or the local name server.","The slave server is the external name server or the local name server.","The Zone type is the master server.","Exported zone is of type 'Slave':","To import the zone with the same master/slave servers:","Add the external name server, which is the master server of the exported site to the new Parallels Pro Control Panel server.","Add the local name server/hostname, which is the slave server of the exported site to the new Parallels Pro Control Panel server.","Start the import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the external name server.","The slave server is the hostname of old EPL Server or the local name server.","For the configuration of imported site's zone:","The master server is the external name server.","The slave server is the hostname of new Parallels Pro Control Panel server or the local name server.","The zone type is the slave server.","Exported zone is of type 'Forward':","To import the zone with the same master/slave servers:","Add the external name server, which is the master server of the exported site to the new Parallels Pro Control Panel server.","Add the external name server, which is the slave server of the exported site to the new Parallels Pro Control Panel server.","Start the import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the external name server.","The slave server is the external name server.","For the configuration of imported site's zone:","The master server is the external name server","The slave server is the external name server","The zone type is the forward server","Importing Web Sites from One Parallels Pro Control Panel Server to Another Parallels Pro Control Panel Server Having the Same Name Servers","7052.htm");
Page[9]=new Array("The following sections provide information on the types of zones that have be exported, and the steps involved in importing the zones from one Parallels Pro Control Panel server to another Parallels Pro Control Panel server, when the name servers are different for both the servers .","For instructions on adding local name server, external name servers and importing Web sites, refer to the Server Administrator online Help.","Exported site's zone is of type 'Master':","To import the site's zone with the new master/slave servers:","Start the import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the hostname of old Parallels Pro Control Panel server or local name server","The slave server is the external name server or local name server","For the configuration of imported site's zone:","The master server  is the primary name server of new Parallels Pro Control Panel server","The slave server is the secondary/virtual name server of new Parallels Pro Control Panel server","The zone type  can be master, slave or forward zone. For more information, see the section Types of Imported Site's Zone.","Exported zone is of type 'Slave':	","To import the zone with the new master/slave servers:","Start the import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the external name server","The slave server is the hostname of old Parallels Pro Control Panel server or local name server","For the configuration of imported site's zone:","The master server is the primary name server of new Parallels Pro Control Panel server","The slave server is the secondary/virtual name server of new Parallels Pro Control Panel server","The zone type  can be master, slave or forward zone. For more information, see the section Types of Imported Site's Zone.","Exported zone is of type 'Forward':","To import the zone with the new master/slave servers:","Start the import operation of the site.","In the above example:","For the configuration of exported site's zone:","The master server is the external name server","The slave server is the external name server","For the Configuration of imported site's zone:","The master server is the primary name server of new Parallels Pro Control Panel server","The slave server is the secondary/virtual name server of new Parallels Pro Control Panel server","The zone type  can be master, slave or forward zone. For more information, see the section Types of Imported Site's Zone.","Importing Web Sites from One Parallels Pro Control Panel Server to Another Parallels Pro Control Panel Server Having Different Name Servers","7053.htm");
Page[10]=new Array("The zone type of imported site's zone, depends on the configuration of the primary name server and the secondary/virtual name server on the new Parallels Pro Control Panel server. For example,","If the primary name server is the hostname or local name server, and the secondary/virtual name server is the external name server or local name server, then the zone type will be Master.","If the primary name server is the external name server, and the secondary/virtual name server is the hostname or local name server, then the zone type will be Slave.","If the primary name server is the external name server, and the secondary/virtual name server is the external name server, then the zone type will be Forward.","Types of Imported Site's Zone","7055.htm");
var PageCount=11;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}